LIRC libraries Linux Infrared Remote Control

Loading...
Searching...
No Matches
Functions | Variables
_client.c File Reference

python bindings for part of lirc_client.h More...

`#include <Python.h>`
`#include "lirc_client.h"`

Go to the source code of this file.

## Functions
PyMODINIT_FUNC | PyInit__client (void)

## Variables
PyMethodDef | ClientMethods []

## Detailed Description

python bindings for part of lirc_client.h

Author
  Alec Leamas

These bindings provides python3 access to some of the lirc_client.h functions.

Definition in file _client.c.

## Function Documentation

## ◆ PyInit__client()

PyMODINIT_FUNC PyInit__client | ( | void |  | ) |

Definition at line 158 of file _client.c.

## Variable Documentation

## ◆ ClientMethods

PyMethodDef ClientMethods[]

Initial value:
= {
{"lirc_init", client_lirc_init, METH_VARARGS,
"initiate lirc connection"},
{"lirc_deinit", client_lirc_deinit, METH_VARARGS,
"close lirc connection opened by lirc_init()"},
{"lirc_readconfig", client_lirc_readconfig, METH_VARARGS,
"parse a lircrc file"},
{"lirc_freeconfig", client_lirc_freeconfig, METH_VARARGS,
"Deallocate memory obtained using lirc_readconfig()"},
{"lirc_code2char", client_lirc_code2char, METH_VARARGS,
"lircrc-translate a keypress"},
{0}
}

Definition at line 134 of file _client.c.